Bug 806728 - RFE: Easy Branching of All Topics for a Project
RFE: Easy Branching of All Topics for a Project
Status: NEW
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.x
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: pressgang-ccms-dev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 01:27 EDT by Tim Hildred
Modified: 2015-04-19 20:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Hildred 2012-03-26 01:27:50 EDT
Description of problem:
Part of our current work flow involves branching our documentation in SVN for a release, to provide stable files for translation to work on while development continues in the newer branch. 

For example, in preperation for the 3.0 RHEV release, we committed our XML changes to a /3.0/ folder up until the docs freeze. That 3.0 folder was what we handed over to translation. All further development work took place in a 3.1 directory. 

This different from a snapshot, because we are able to update the 3.0 folder when we get high priority bugs that apply to both the 3.1 and 3.0 documentation. When this happens, we back port our change, and update a translation ticket. 

We would like to see the ability to clone topics forward for a release. So that when we GA 3.1, we can clone all the topics forward to 3.2, and continue development of information and leave stable topics for translation.
Comment 1 Eric Johnson 2012-10-23 11:37:47 EDT
It would be good to also include the ability to label snapshots of a topic set as well so that re-useable topics can be more easily identified.

The branching mechanism should manage revision history such that the history for all versions of a topic, on all branches, can be visualized.

Note You need to log in before you can comment on or make changes to this bug.